Get TPN Details

API Explorer
https://externalapi.ipospays.tech/v2/tpn/tpn-details
POST

You can request for data field values (e.g., OTP, Authenticators) mapped to an active terminal reference code.

Authorization

AuthorizationHeader
token(Enter the auth token generated from the authentication endpoint)<token>

Authentication token generated using the API Key and Secret Key. Required for all API requests.

In: header

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com" \  -H "Content-Type: application/json" \  -d '{    "tpnId": "abcdef123456",    "dataFields": [      "OTP",      "AUTH_TOKEN",      "INTEGRATION_TYPE"    ]  }'
{
  "data": {
    "oneTimePasscode": "123456",
    "auth_token": "token-value",
    "integration_type": "spinCloud",
    "spinDetails": {
      "registerId": "7263204",
      "authKey": ""
    }
  },
  "status_code": 200,
  "request_id": "IPOS-20250216120000-ABC123",
  "timestamp": "2025-02-16T12:00:00.000Z"
}
{
  "message": "Missing authentication token. Please include a valid API token in your request.",
  "statusCode": 401,
  "requestId": "IPOS-20250216120000-ABC123",
  "timestamp": "2025-02-16T12:00:00.000Z",
  "responseCode": "TOKEN_MISSING"
}